Skip to main content
`Ctrl`+`K`

# MatGetTrace

Gets the trace of a matrix. The sum of the diagonal entries.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetTrace(Mat mat, PetscScalar *trace)

Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- trace - the sum of the diagonal entries

## See Also

Matrices, `Mat`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages